# EC2Ctl

A small command line tool for managing EC2/ELB.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ec2ctl'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ec2ctl

## Usage

Please run

```
$ ec2ctl --help
```

### `ec2 list`

List EC2 instances.

### `ec2 execute`

Execute commands in the EC2 instances.

### `elb list`     

List load balancers.

### `elb status`   

Show the load balancer's status.

### `elb attach`   

Attach the instances to the load balancer.

### `elb detach`   

Detach the instances from the load balancer.

### `elb execute`  

Execute commands on instance(s) registered to a load balancer.

### `elb graceful`

Sequencially deregister instance(s) from load balancer, execute commands, register it back to load balancer and wait until it's in `InService` state.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/y13i/ec2ctl.
